commit:     77f0f0625f0c77a9ac6bf012d8a3b1085fa9d007
Author:     François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Sun Feb 28 08:18:54 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 14:43:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77f0f062

sci-mathematics/cliquer: upstream bump

Closes: https://github.com/gentoo/gentoo/pull/19705
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: François René Pierre Bissey <frp.bissey <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-mathematics/cliquer/Manifest            |  1 +
 sci-mathematics/cliquer/cliquer-1.22.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/sci-mathematics/cliquer/Manifest b/sci-mathematics/cliquer/Manifest
index 587ee4b6b0e..5164091edcb 100644
--- a/sci-mathematics/cliquer/Manifest
+++ b/sci-mathematics/cliquer/Manifest
@@ -1 +1,2 @@
 DIST cliquer-1.21.tar.gz 412440 BLAKE2B 
0a4f31f6b005822271c67ab2f2532809b112a5ceb7aaf828b06bf6ca4cadfb836d3c1f6b70187908104c2eefedeececad6b020cde2d198141dc69801d5b1ce81
 SHA512 
2f72a649cfef46ef07cc3817a704fbfcda910b0b0a419deb361b2aa18437e4689a8b965e0e364a5d9ae391ba8591e022a0dc414b21c9102094ad28fb2f1b15a8
+DIST cliquer-1.22.tar.gz 416433 BLAKE2B 
3f43d443b1ecfef599213da99ffa15b5077392dd8d1bebdd0f5db73898d1fe997d6eabe6dbdb29852d40355228f082cfa7e3198be90dc9166965b90f062cae69
 SHA512 
3285cb0a3987ff730d9f9b25419a98201f399daf28444179ba8902211ddda87adcc7189f5b94f062d0648039a1b6217b80c8db482887d7dc8552b20459eff861

diff --git a/sci-mathematics/cliquer/cliquer-1.22.ebuild 
b/sci-mathematics/cliquer/cliquer-1.22.ebuild
new file mode 100644
index 00000000000..03f84005300
--- /dev/null
+++ b/sci-mathematics/cliquer/cliquer-1.22.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="C routines for finding cliques in an arbitrary weighted graph"
+
+# autocliquer is a fork of cliquer (whose last release was in 2010) by
+# one of the SageMath developers with an autotools build system.
+HOMEPAGE="https://users.aalto.fi/~pat/cliquer.html
+       https://github.com/dimpase/autocliquer";
+
+# The github tarball doesn't contain the generated autotools files (like
+# the ./configure script).
+SRC_URI="http://files.sagemath.org/spkg/upstream/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to